Skip to content

REST API: Android Channels List

This GET endpoint retrieves a list of all notification action buttons for a specific application.

GET API url -> /v1/notifications/android-channels

Query Parameters

The following query parameters are possible:

Field Type Description Required
appId String Application id

Response Examples

[
    {
        "id": "anc_FdS7f6bXn78dhIE6vLEF3FJSRU4HyEId",
        "appId": "developer.android.id.app",
        "name": "Silent",
        "description": "Non-intrusive background updates",
        "showBadge": false,
        "vibrationPattern": "FAST_SHORT_BEEP",
        "lightColorHex": "#0D47A1",
        "lockscreenVisibility": "public",
        "importance": "low",
        "priority": "normal",
        "createdAt": 1771857697079,
        "default": true
    },
    {
        "id": "anc_oiTseZACoq8zD8uU5orPhME6RmwLywHm",
        "appId": "developer.android.id.app",
        "name": "Reminders",
        "description": "Scheduled tasks and reminders",
        "showBadge": true,
        "vibrationPattern": "FAST_SHORT_BEEP",
        "lightColorHex": "#0D47A1",
        "lockscreenVisibility": "public",
        "importance": "default",
        "priority": "normal",
        "createdAt": 1771857697079,
        "default": true
    },
    {
        "id": "anc_0aSIKjtz71dgsyLk5aj96mDHUOggBWB6",
        "appId": "developer.android.id.app",
        "name": "Immediate",
        "description": "Example usage: chat messaging.",
        "showBadge": true,
        "vibrationPattern": "FAST_SHORT_BEEP",
        "lightColorHex": "#32DE84",
        "lockscreenVisibility": "public",
        "importance": "high",
        "priority": "high",
        "createdAt": 1771857697079,
        "default": true
    },
    {
        "id": "anc_Kwu1diHFEP7VNEppw6WP2UMx9dEpZGmR",
        "appId": "developer.android.id.app",
        "name": "General",
        "description": "Standard updates and messages",
        "showBadge": true,
        "vibrationPattern": "FAST_SHORT_BEEP",
        "lightColorHex": "#32DE84",
        "lockscreenVisibility": "public",
        "importance": "default",
        "priority": "normal",
        "createdAt": 1771857697079,
        "default": true
    },
    {
        "id": "anc_D4yUHaf3iJJ1xXucp15XHlizJLxmLo5B",
        "appId": "developer.android.id.app",
        "name": "Alerts",
        "description": "Critical alerts and warnings",
        "showBadge": true,
        "vibrationPattern": "FAST_SHORT_BEEP",
        "lightColorHex": "#ff1744",
        "lockscreenVisibility": "public",
        "importance": "high",
        "priority": "high",
        "createdAt": 1771857697079,
        "default": true
    }
]
Error message